Debian Bug report logs - #544930
RM: xtux -- ROM; orphaned, low popcon

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Gonéri Le Bouder <goneri@rulezlan.org>

Date: Thu, 3 Sep 2009 19:00:14 UTC

Severity: normal

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#544930; Package wnpp. (Thu, 03 Sep 2009 19:00:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gonéri Le Bouder <goneri@rulezlan.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. (Thu, 03 Sep 2009 19:00:21 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Gonéri Le Bouder <goneri@rulezlan.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFA: xtux
Date: Thu, 03 Sep 2009 20:50:14 +0200
Package: wnpp
Severity: normal

We, Debian Games, request an adopter for the xtux package. If nobody
adopt the package in the 3 comming months, we'll ask ftp-master to remove
the package from the archive.

The package is/was maintained in the Debian Games Team, we would prefere the
new maintainer to do so.

Description: arcade game featuring Free Software mascots
 X-Tux is a multidirectional scrolling game in which you control famous
 Free Software characters such as Tux, Beastie or RMS in an attempt
 to save the World from an evil software company.




Added indication that bug 544930 blocks 538269 Request was from Gonéri Le Bouder <goneri@rulezlan.org> to control@bugs.debian.org. (Thu, 03 Sep 2009 20:24:21 GMT) Full text and rfc822 format available.

Changed Bug title to 'RFA: xtux -- arcade game featuring Free Software mascots' from 'RFA: xtux' Request was from Ana Beatriz Guerrero Lopez <ana@debian.org> to control@bugs.debian.org. (Fri, 04 Sep 2009 18:12:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#544930; Package wnpp. (Fri, 19 Oct 2012 01:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "S. Daniel Francis" <francis@sugarlabs.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 19 Oct 2012 01:09:03 GMT) Full text and rfc822 format available.

Message #14 received at 544930@bugs.debian.org (full text, mbox):

From: "S. Daniel Francis" <francis@sugarlabs.org>
To: 544930@bugs.debian.org
Subject: Adopting package xtux
Date: Thu, 18 Oct 2012 23:04:49 -0200
Hello,
I'm new contributing to debian and looking at the list of packages
requesting for adoption I saw this one and I think it's a good way to
start learning (and conserving the package in the archive).

Cheers,
Daniel Francis.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#544930; Package wnpp. (Wed, 24 Oct 2012 17:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Koschany <apo@gambaru.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 24 Oct 2012 17:45:03 GMT) Full text and rfc822 format available.

Message #19 received at 544930@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: 544930@bugs.debian.org
Cc: francis@sugarlabs.org
Subject: Adopting package xtux
Date: Wed, 24 Oct 2012 19:42:16 +0200
[Message part 1 (text/plain, inline)]
Hi Daniel,

i just saw you're going to adopt xtux. It's quite funny because i wanted
to suggest to remove xtux from Debian. It has been dead upstream for a
very long time and it is quite outdated. But if you are really interested in
adopting it, please go ahead. I think you should retitle this bug report
to ITA: xtux hence others know you are working on it.

Cheers,
Markus
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#544930; Package wnpp. (Wed, 24 Oct 2012 17:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "S. Daniel Francis" <francis@sugarlabs.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 24 Oct 2012 17:57:03 GMT) Full text and rfc822 format available.

Message #24 received at 544930@bugs.debian.org (full text, mbox):

From: "S. Daniel Francis" <francis@sugarlabs.org>
To: Markus Koschany <apo@gambaru.de>
Cc: 544930@bugs.debian.org
Subject: Re: Adopting package xtux
Date: Wed, 24 Oct 2012 15:52:56 -0200
[Message part 1 (text/plain, inline)]
2012/10/24 Markus Koschany <apo@gambaru.de>

> Hi Daniel,
>
Hi,


> i just saw you're going to adopt xtux. It's quite funny because i wanted
> to suggest to remove xtux from Debian. It has been dead upstream for a
> very long time and it is quite outdated.

Oh, I didn't know it. I think it could be removed also because it's not
very popular.


> But if you are really interested in
> adopting it, please go ahead.
>
I could guess it hasn't got a lot of dependencies, so I saw it as an easy
way to start. I think will be better if I look for adopt another package.

Regards,
Daniel.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#544930; Package wnpp. (Wed, 24 Oct 2012 19:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Koschany <apo@gambaru.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 24 Oct 2012 19:30:03 GMT) Full text and rfc822 format available.

Message #29 received at 544930@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: "S. Daniel Francis" <francis@sugarlabs.org>
Cc: 544930@bugs.debian.org
Subject: Re: Adopting package xtux
Date: Wed, 24 Oct 2012 21:26:19 +0200
[Message part 1 (text/plain, inline)]
On Wed, 24. Oct 15:52 "S. Daniel Francis" <francis@sugarlabs.org> wrote:

>    I could guess it hasn't got a lot of dependencies, so I saw it as an easy
>    way to start. I think will be better if I look for adopt another package.

Hi Daniel,

You are right. The best way to start contributing to Debian
is to work on orphaned packages. I've been doing the same for two
months now, so i'm still a beginner myself. I just wanted to adopt etw. It's
another orphaned game, outdated yes, but i guess it's much more
interesting than xtux. Maybe you should take a look at it? Someone has
to fix all these lintian warnings and i think it is not too complicated.

If you are interested you could also join the Debian Games Team. Every
help is welcome. 

But there are a lot of other packages which need a helping hand, too. Of
course you are free to decide what you would like to work on.

Best,
Markus
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#544930; Package wnpp. (Wed, 08 May 2013 15:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Koschany <apo@gambaru.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 08 May 2013 15:00:04 GMT) Full text and rfc822 format available.

Message #34 received at 544930@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: 544930@bugs.debian.org
Cc: control@bugs.debian.org
Subject: RM: xtux -- ROM; orphaned, low popcon
Date: Wed, 08 May 2013 16:57:35 +0200
[Message part 1 (text/plain, inline)]
retitle 544930 RM: xtux -- ROM; orphaned, low popcon
reassign 544930 ftp.debian.org
thanks

Dear ftp-masters,

please remove xtux from unstable. The game has been neglected
for years and better or similar alternatives exist.


The original intention of this bug report was to request an adopter for
xtux and if nobody adopted it to request the removal of the game.

I have brought this topic up for discussion on debian-devel-games
in October 2012 [1][2], since then nobody seemed interested in actively
maintaining the package. Therefore i request the removal of xtux
thus someone, who is really interested in keeping it, has enough time to
properly reintroduce the game in this new release cycle for jessie.

Regards,

Markus


[1] https://lists.debian.org/debian-devel-games/2012/10/msg00062.html
[2] https://lists.debian.org/debian-devel-games/2012/12/msg00030.html









[signature.asc (application/pgp-signature, attachment)]

Changed Bug title to 'RM: xtux -- ROM; orphaned, low popcon' from 'RFA: xtux -- arcade game featuring Free Software mascots' Request was from Markus Koschany <apo@gambaru.de> to control@bugs.debian.org. (Wed, 08 May 2013 15:00:06 GMT) Full text and rfc822 format available.

Bug reassigned from package 'wnpp' to 'ftp.debian.org'. Request was from Markus Koschany <apo@gambaru.de> to control@bugs.debian.org. (Wed, 08 May 2013 15:00:06 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Thu, 09 May 2013 11:01:17 GMT) Full text and rfc822 format available.

Notification sent to Gonéri Le Bouder <goneri@rulezlan.org>:
Bug acknowledged by developer. (Thu, 09 May 2013 11:01:17 GMT) Full text and rfc822 format available.

Message #43 received at 544930-close@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 544930-close@bugs.debian.org
Cc: xtux@packages.debian.org, xtux@packages.qa.debian.org
Subject: Bug#544930: Removed package(s) from unstable
Date: Thu, 09 May 2013 10:56:15 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

      xtux | 0.2.030306-12 | source, amd64, armhf, i386, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, s390x, sparc
      xtux | 0.2.030306-12+b1 | armel, hurd-i386, ia64
xtux-client | 0.2.030306-12 | amd64, armhf, i386, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, s390x, sparc
xtux-client | 0.2.030306-12+b1 | armel, hurd-i386, ia64
xtux-common | 0.2.030306-12 | all
xtux-levels | 0.2.030306-12 | all
xtux-server | 0.2.030306-12 | amd64, armhf, i386, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, s390x, sparc
xtux-server | 0.2.030306-12+b1 | armel, hurd-i386, ia64

------------------- Reason -------------------
ROM; orphaned, low popcon
----------------------------------------------

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive and will not propagate to any mirrors (ftp.debian.org
included) until the next dinstall run at the earliest.

Packages are usually not removed from testing by hand. Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems. The release team can force a removal from testing if it is
really needed, please contact them if this should be the case.

We try to close bugs which have been reported against this package
automatically. But please check all old bugs, if they were closed
correctly or should have been re-assigned to another package.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 544930@bugs.debian.org.

The full log for this bug can be viewed at http://bugs.debian.org/544930

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Ansgar Burchardt (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 07 Jun 2013 07:29:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:55:43 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.